EDIT - feature request #424

Implement advanced search
10/15/2008 11:29 AM - Niels Hoffmann

Status: New Start date:

Priority: Priority13 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: major

Description

Exemplar groups asked for a more sophisticated search form that would make it possible to search for additional criteria.

This would include:

ftly: #2942 & #476

3. search for references on one or more taxa Mi 18.02.2009

1. separate citations concerning nomenclatural acts from other citations ("If the database can separate citations concerning
nomenclatural acts from other citations, it would enrich the search.") Mi 18.02.2009

4. searchformisapplied-rames{toptional) - fixed: #2648

5. search for Orthographic variants ( NameRelationship ) see (
http://dev.e-taxonomy.eu/dataportal/cyprus/?q=cdm_dataportal/taxon/2b532496-49e1-44bd-a6f9-66a0b0cb7fd4/synonymy)

6. taxonnomic filter, which allows to limit the search to a subtree of the classification
History

#1 - 10/15/2008 11:30 AM - Niels Hoffmann

The advanced search should be on an extra page.

#2 - 11/13/2008 05:13 PM - Niels Hoffmann
- Status changed from New to In Progress

- Priority changed from New to New

#3 - 01/21/2009 09:54 PM - Andreas Miiller
- Tracker deleted (task)

#4 - 01/22/2009 02:03 AM - Andreas Miiller

- Severity set to major

#5 - 01/22/2009 02:17 PM - Niels Hoffmann
- Status changed from In Progress to New

- Assignee changed from Niels Hoffmann to Andreas Kohlbecker

#6 - 01/27/2009 10:17 AM - Irina Brake

Replying to n.hoffmann
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Irina
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Irina
http://dev.e-taxonomy.eu/dataportal/cyprus/?q=cdm_dataportal/taxon/2b532496-49e1-44bd-a6f9-66a0b0cb7fd4/synonymy
dev.e-taxonomy.eu/issues/show/424:

Exemplar groups asked for a more sophisticated search form that would make it possible to search for additional criteria.
This would include:

1. Filters on the regular name search (e.g. accepted only)

2. FullText search of features, either over all features or by feature explicitly

3.

Include search for authors and maybe years.

#7 - 01/29/2009 04:44 PM - Andreas Kohlbecker
- Priority changed from Priority10 to Priority11

#8 - 02/19/2009 02:24 PM - Andreas Kohlbecker

- Status changed from New to In Progress

#9 - 03/24/2009 09:58 AM - Irina Brake

Add filters for distribution and for images

#10 - 06/10/2009 11:52 AM - Andreas Kohlbecker
- Priority changed from Priority11 to Priority13

#11 - 06/23/2009 04:45 PM - Andreas Kohlbecker

Fixed: 1. Filters on the regular name search (e.g. accepted only)

#12 - 04/15/2011 02:04 PM - Andreas Kohlbecker

it should also be possible to search for misapplied names

#13 - 04/15/2011 02:04 PM - Andreas Kohlbecker

- Status changed from In Progress to New

#14 - 08/21/2014 11:02 AM - Andreas Kohlbecker

- Keywords set to search

#15 - 08/21/2014 11:19 AM - Andreas Kohlbecker

Hallo,

soweit ich weiB3, ist folgendes Feature noch nicht implementiert, ich weif3 auch nicht, ob es dazu schon ein Ticket gibt.

In der advanced search sollte es die Mdglichkeit geben, nicht nur nach einer blossen Buchstabenfolge zu suchen, sondern nach Higher Taxa (wie z.
B. Familien) inklusive aller Children zu suchen.

Die Suche muss also tber den Taxonomic Tree gehen. Dies ist ein Feature, das im bisherigen Euro+Med-Portal und im Med-Checklist-Portal
verwirklicht ist, und auf das wir im neuen Portal nicht verzichten wollen. Nur so ist es méglich, sich zum Beispiel alle Compositen Deutschlands oder
alle Graser Finnlands anzeigen zu lassen. Bisher geht das nur auf Gattungsebene, da in dem Fall ja alle Taxa gefunden werden, die mit derselben
Buchstabenfolge beginnen.

Also: New Feature request!?
Schoénen Gruf3, Eckhard

#16 - 08/21/2014 11:31 AM - Andreas Kohlbecker

Hi Eckhard | only could find the mentioned search options in them Med-Checklist-Portal:
http://ww2.bgbm.org/mcl/query.asp?advanced=1&name=&areal=

there the options to limit on a genus or family is offered.

#17 - 08/22/2014 12:13 PM - Eckhard von Raab-Straube

Hi Andreas,
http://ww2.bgbm.org/mcl/query.asp?advanced=1&name=&area1=

in the present Euro+Med Portal the "Geo-Search" is possible on each taxon from family rank downwards, e.g.

http://ww2.bgbm.org/EuroPlusMed/PTaxonDetail.asp?Nameld=14103& PTRefFk=7000000

#18 - 01/13/2017 11:06 AM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#19 - 05/29/2020 02:27 PM - Andreas Miiller

- Tags changed from search to search, euro+med

#20 - 09/17/2021 06:30 PM - Andreas Miiller
- Description updated

- Target version changed from cdm_dataportal - Next Major Release to Unassigned CDM tickets

I marked those issues that seem to be fixed. Should we open new subtickets for the remaining issues?

#21 - 09/17/2021 06:31 PM - Andreas Miiller
- Description updated

#22 - 09/17/2021 06:32 PM - Andreas Miiller
- Description updated

#23 - 05/30/2022 01:15 PM - Andreas Miiller
- Subject changed from implement advanced search to Implement advanced search

- Assignee changed from Andreas Kohlbecker to Andreas Miller
http://ww2.bgbm.org/EuroPlusMed/PTaxonDetail.asp?NameId=14103&PTRefFk=7000000
http://www.tcpdf.org

